#include "reportdialog.h"

#include "mainwindow.h"

ReportDialog::ReportDialog(QWidget* parent, Qt::WindowFlags f) : QDialog(parent, f)
{
    ui_.setupUi(this);
    market_ = dynamic_cast<MainWindow*>(parent)->getMarketplace();
    model_ = std::make_unique<ReportModel>(market_, ui_.reportView);
    ui_.reportView->setModel(model_.get());
    ui_.reportView->hideColumn(0);
}